///[App]应用初始化、手机和应用信息获取等
(function(app) {
	
	app.init = function() {
		___debug___ && console.log(___js_func___("App.js","app.init"));

		//APP获取当前地理位置信息统一规范：
//		{
//			"coordsType":"bd09ll",//APP采用百度坐标系！
//			"country":"中国","province":"北京市","city":"北京市","district":"西城区","street":"铸钟胡同",
//			"cityCode":"010",
//			"address":"小黑虎胡同4号",//短地址（长地址中去掉国家省份和城市）
//			"addresses":"中国北京市西城区小黑虎胡同4号",//长地址
//			"poiAddress":"三木子虾脑汇",//短POI地址
//			"poiAddresses":"北京市西城区小黑虎胡同靠近三木子虾脑汇(旧鼓楼大街)",//长POI地址
//			"coords":{"latitude":39.949757,"longitude":116.399946},
//			"timestamp":1459235696000
//		}
		///在本地存储手机当前地理位置信息$geoinfo：使用百度（bd09ll）坐标系
		plus.geolocation.getCurrentPosition(function(position) {
			console.log("@@@app.init@plus.geolocation.getCurrentPosition ###获取手机当前地理位置信息（百度坐标系统） $geoinfo:"+JSON.stringify(position));
			
			var address = position.addresses.replace(/中国/,"").replace(position.address.province,"");///？？？删除国家省份和城市？？？仍然有缺陷！比如“中国北京市中国饭店”
			var geoinfo = {
				"coordsType":position.coordsType,
				"country":position.address.country,
				"province":position.address.province,
				"city":position.address.city,
				"district":position.address.district,
				"street":position.address.street,
				"cityCode":position.address.cityCode,///不正确，下面补充！
				"address":address,//////？？？删除国家省份和城市？？？仍然有缺陷！比如“中国北京市中国饭店”
				"addresses":position.addresses,
				"poiAddress":address,///不正确，先用短地址代替！下面补充！
				"poiAddresses":position.addresses,///不正确，下面补充！
				"coords":{"longitude":position.coords.longitude,"latitude":position.coords.latitude},
				"timestamp":position.timestamp
			}

			setSetting("$geoinfo", geoinfo);///先保存以免获取百度坐标失败

			///对获取的百度坐标系统的当前位置信息进行补充：使用高德（gcj02）坐标系
			plus.geolocation.getCurrentPosition(function(position) {
				console.log("@@@app.init@plus.geolocation.getCurrentPosition ###获取手机当前地理位置信息（高德坐标系gcj02） $geoinfo:"+JSON.stringify(position));
	
				if(position.address.cityCode) geoinfo.cityCode = position.address.cityCode;
				if(position.address.poiName) geoinfo.poiAddress = position.address.poiName;
				if(position.addresses) geoinfo.poiAddresses = position.addresses;
				
				setSetting("$geoinfo", geoinfo);
				
			},null,{provider:"amap"});///使用高德（gcj02）坐标系
		},null,{provider:"baidu"});///使用百度（bd09ll）坐标系

		
		///在本地存储应用信息$appinfo
		plus.runtime.getProperty(plus.runtime.appid, function(info) {
			console.log("@@@app.init@plus.runtime.getProperty ###获取应用信息 $appinfo:"+JSON.stringify(info));
			setSetting("$appinfo",{"appid" : info.appid, "name" : info.name, "version" : info.version});
		});

		///获取手机号，比如“+8618514750330” （http://ask.dcloud.net.cn/question/5679）
		///很多机型可能无法获取！
		if(plus.os.name=="Android"){
			var mainActivity = plus.android.runtimeMainActivity();
            var Context = new plus.android.importClass("android.content.Context");
            var TelephonyManager = new plus.android.importClass("android.telephony.TelephonyManager");
            var tm = mainActivity.getSystemService(Context.TELEPHONY_SERVICE);

            var msisdn = tm.getLine1Number();///注意：如果没有手机卡，则返回null
            console.log("@@@app.init ###获取本机号码 $msisdn:"+msisdn);
            if (msisdn && msisdn != "" && msisdn != "000000000000000") {
            	msisdn = msisdn.substring(msisdn.length - 11);
            	console.log("@@@app.init ###获取截取后的本机号码 $msisdn:"+msisdn);
                setSetting("$msisdn", msisdn);
            }else{
            	setSetting("$msisdn");
            }
		}
	}

}(window.App = {}));