///[Setting]应用设置
(function(setting) {

	/**
	 * ///[setting:setSettings]获取应用本地配置
	 * 
	 * @param {Object} settings : settings对象，为空则清除存储的settings对象
	 **/
	setting.setSettings = function(settings) {
		___debug___ && console.log(___js_func___("Setting.js","setting.setSettings",["settings: "+JSON.stringify(settings)]));
		
		if(settings){
			localStorage.setItem('$settings', JSON.stringify(settings));
		}else{
			localStorage.removeItem('$settings');
		}
	}

	/**
	 * ///[setting:getSettings]设置应用本地配置
	 * 
	 * @return {Object} : 返回settings对象
	 **/
	setting.getSettings = function() {
		___debug___ && console.log(___js_func___("Setting.js","setting.getSettings"));
		
		var settingsText = localStorage.getItem('$settings') || "{}";
		return JSON.parse(settingsText);
	}

}(window.Setting = {}));



